# Marketing Council Handbook

## Overview

The Marketing Council is made up of multiple individuals working to bring multiple functions together to ensure Kubernetes contributors have a wealth of robust content and communications. The Marketing Council act as joint leaders to the Upstream Marketing team and its key responsibilities to the entire Kubernetes contributor base.

#### How It Works

The ideal Marketing Council is made up of one of each of the leadship roles with one shadow for each. In practice, Council members can cover multiple roles but with the intention of finding someone else to fill the position. Coverage is outlined in the [project README].

## Responsibilities

Responsibilities are categorized by the division of contribution among Marketing Council members. What brings us all together is a commitment to: 

- Be welcoming of everyone by being your unique self
- Be inclusive on contributors, especially non-code contribution
- Be a leader of this sub-project with a commitment to its charter

#### Program Lead 

- Develop high level marketing strategies and themes to address problem areas, challenges, and innovation/moving the project forward; expected to collaborate with Leads on their strategies for functional areas
- Ensure the team has a unified voice, focus, and work within the charter scope
- Research and identify new and innovative ways of delivering content that appeals to our mission
- Facilitates meetings or can delegate to another Marketing Council member
- Manage the [editorial calendar] and [marketing project] boards
- Coordinate [storytellers] and other member involvement

#### Promotion Lead 

- Lead and encourage use of owned communication channels, including the team's Twitter account and other social channels
- Helping to recruit other members of the team, ensuring onboarding but delegating to proper lead
- Promoting contributor events
  - In the events folder or one off contributor events like SIG onboarding sessions
- KEPs
  - To follow the same process as [social guidelines]
  - No promotion unless there is an explicit documented request
- Proofreading and editing articles with our [blogging] and [ethos] in mind
- If time allows, market the team; blog about the team and it's progress, encourage team to blog about their work

#### Liaison Lead

- Act as or facilitate conversations and workflows between all types of internal stakeholders. This includes attending meetings and coordinating efforts with teams such as:
  - SIG Contributor Experience
  - Community Group Chairs and Tech Leads  
  - CNCF
  - Steering Committee
  - Contributors
- Working with the liaison team members to manage communications and workflows between the groups
- Create new liaison positions as needed to coordinate key initiatives across the Kubernetes community
- Audit the experience of engaging with the Upstream Marketing team and propose opportunities for improvement

### Minimum Skills and Requirements

Skills:

- Be comfortable with general GitHub workflows. To date, this team still requires some expertise in this department to be effective. Current members can teach specifics but a foundation for this role is necessary. You'll be working inside of multiple repositories with different workflows and helping others on the team with troubleshooting.
- Be willing and capable of saying "no" as necessary, but try to get to a "yes, and" to help the community achieve its goals. In short, be empathetic.
- Strong written and verbal communication skills. A willingness to meet (a lot) of new people is important for this work.

Requirements:

- Member of the [Kubernetes GitHub Org]
- [Reviewer] in the marketing team folder
- Shadowed under a lead in any role on the team for 6 months total (could be a combination of roles during that time period)

#### Expected Time Investment

- Four hours a week as a minimal target.

#### Duration  

Ideally, no lead should be in the same position indefinitely. With that in mind, every member of the Marketing Council is asked to raise awareness of the position and seek a shadow in preparation of them becoming a lead in the future. The team would like to see new leadership every 12 months to keep a fresh perspective. 

### Becoming a Shadow

Any Upstream Marketing regular contributor can raise their hand to become a shadow of one or more of the positions in the council. If accepted, the objective of the council members is to nurture that shadow into a leadership position in the next 6 months. 

#### Expectations of a Shadow

Consistently communicate and collaborate closely with the Marketing Council member of your choice. The objective is to get you, as the shadown, to be a confident leader of the above responsibilities. Be ready to backfill for them when they are unable to attend a meeting or represent the working group.

[editorial calendar]: https://github.com/orgs/kubernetes/projects/41
[marketing project]: https://github.com/orgs/kubernetes/projects/39
[team-resources]: ../team-resources.md
[Kubernetes GitHub Org]: https://git.k8s.io/community/community-membership.md
[Reviewer]: ../OWNERS
[OWNERS]: /communication/OWNERS
[blogging]: ../storytelling-resources/blog-guidelines.md
[ethos]: ../CHARTER.md#ethosvision
[project README]: ../README.md
[storytellers]: ./storytellers.md