# Upstream Marketing Blog Guidelines

This initiative falls under the [Upstream Marketing Charter](./CHARTER.md).

We are looking for Kubernetes-curious community members who are **interested in writing** and **care about getting the word out** to our huge community of users, developers, and contributors of all types. Here's how to get involved.

## Requested Content

We are looking for:

* TODO << Request specific types of content

Other types of content, like Kubernetes capabilities and tutorials, are better suited for the [SIG-Docs blogging initiative](/sig-docs/blog-subproject/README.md).

## Submit a Post

The quickest way to get involved is to let the team in [#sig-contribex](https://kubernetes.slack.com/archives/C1TU9EB9S) know that you have an idea for an article.

For now, our official process is to use [SIG-Doc's system](/sig-docs/blog-subproject/README.md).

## Blogger Expectations, Responsibilities, and Info

Anyone is welcome to contribute when they have time.

If you would like to be listed as a member of the team, here are the expectations:

1. Be prepared to write one blog a quarter and participate in edits to other articles. The time commitment is typically 5-10 hours per quarter depending on the number of blog posts in the review queue.
2. Bloggers are expected to attend at least one upstream marketing team meeting a month or check-in to remain active.
3. Remain non-partial: if you receive a request to write about a project, an individual, or a group of people from your employer, you should ask an impartial blogger to write it.
4. As with all contribution to Kubernetes, adhere to the [code of conduct](/code-of-conduct.md), values, and principles of the project.

## How to Write an Effective Blog

Keep the following points in mind as you write in order to speed up the review process:

* Use inclusive language understandable by everyone
  * Rephrase gendered pronouns (change "he" or "she" to "they" or adjust to remove)
  * Remember nothing is simple when you're starting out (remove "just," "simply", and "easy")
  * Define terminology or acronyms (do not assume people know what a term means)
  * Shy away from jargon and colloquial expressions
  * Write clearly and avoid ambiguous sentences
* Emphasize the things you want readers to remember; tell a story
  * Stay on topic and stick to the facts
  * Design a beginning, middle, and end to your story with a clear call to action
  * Provide evidence and data where applicable, to back up your message
* Make the article visually appealing
  * Include at least one image (and use public domain or Creative Commons licensed ones)
  * Prefer inclusive images like those from [WOCinTech](https://www.flickr.com/photos/wocintechchat/) and [Queer in Tech](https://www.flickr.com/photos/mapbox/albums/72157713100349311)
  * Find images on sites like [Creative Commons](https://search.creativecommons.org/), [Pexels](https://www.pexels.com/public-domain-images/), and [Unsplash](https://unsplash.com/images/stock/public-domain))
* Be accountable and honest as an author
  * Remove anything that lacks adequate evidence
  * Avoid interjecting personal reactions
  * Ensure that the blog post is reviewed by the anyone being mentioned in the piece
  * As the author, never talk about your employer, sell, promote, or pitch; this is about upstream community endeavours and the individuals and groups that create it

## Further Recommendations

The following are helpful resources for authoring articles:

* [Creating Quality Content (For Search Engines and People)](https://moz.com/blog/quality-blog-content)
* [How to write effective documentation for your open source project](https://opensource.com/article/20/3/documentation)

## Review Process

This process is bootstrapped from the sig-docs blog [subproject](/sig-docs/blog-subproject/README.md). Please ask for review from community liaisons on the sig-docs-blog team or let the team in [#sig-contribex](https://kubernetes.slack.com/archives/C1TU9EB9S) know you need help.
