# 2019 Kubernetes Contributor Summit EU

## What

This event brings together new and current Kubernetes contributors to connect and collaborate face-to-face. It is an opportunity for existing contributors to help shape the future of the project, and offers a welcoming space for new community members to learn, explore and put the contributor workflow to practice. The summit spans two days - an optional social event in the evening of Sunday, May 19th along with the main full-day event on Monday, May 20th.

In some sense, the summit is a real-life extension of the community meetings and SIG meetings. There are three explicit goals:

 - Onboard new contributors to be productive in our community
 - Send contributors home with more context, knowledge, and skills about the project
 - [SIG-specific face-to-face collaboration](sig-f2f-guidelines.md)
 - [All pre- and post-event email communications sent out to attendees](communications.md)


## Registration

 - [Sign the CLA](/CLA.md) if you have not done so already.
 - [Complete the Registration form.](https://events.linuxfoundation.org/events/contributor-summit-europe-2019/register/)

## When and Where

The Contributor Summit takes place in the days leading up to [KubeCon + CloudNativeCon Europe](https://events.linuxfoundation.org/events/kubecon-cloudnativecon-europe-2019/), make sure you plan travel accordingly.

 - Sunday, May 19, 2019 - Social event (optional)
 - Monday, May 20, 2019 - Contributor Summit (New Contributor Workshops and SIG F2F meetings)
 - Fira Gran Via, Barcelona, Spain
 - Event website with more information: LINK TBD

## New Contributor Workshops

The focus of the contributor summit in Barcelona is on new contributors. We have a large existing contributor base, especially in the US, and while we have a solid contingent in Europe, we would like to continue to grow our contributor presence in Europe to have a better balance across time zones and a more diverse set of contributors.

**Important**: The new contributor workshops are for people who are interested in **contributing** to Kubernetes and **will not** include how to use Kubernetes. The rest of KubeCon will have plenty of content about using Kubernetes, but this day is focused solely on contributing to Kuberenetes.

### The New Contributor Workshops will have 2 tracks:

* 101 New Contributor Track: Attendees should be brand new contributors who are interested in contributing to Kubernetes, but who have little to no experience previously contributing to open source projects.
* 201 Intermediate New Contributor Track: Attendees should be people who have previous experience contributing to other open source projects, but who are new to contributing to Kubernetes.

**Note**: Existing contributors should **not** register for either of these workshops. Existing contributors are encouraged to attend the social event on Sunday and should talk to their SIG chairs to see if any relevant SIGs are planning to have a SIG F2F meeting on Monday.

### New Contributor Workshop Outline:

Workshop Preparation: Before arriving in Barcelona, workshop attendees are expected to sign the CLA and complete any preparatory downloads and installations for required tools and content. Students will be given access to the slides in advance to allow for easier copying and pasting of commands during the hands-on exercises.


Combined Intro (Big Room) - All Workshop Participants:

* How To Communicate (join all the things)
* Repo Tour
* What is a SIG, and How Do I Join One

101 New Contributor Workshop Track (Room 1):

* Finding Your First Topic AKA Where Do I Fit In
* Automation and Pull Request Demo/Practice
* Setting Up Your Dev Environment Lab
* Install Golang (or straighten out gopaths)
* Install Docker
* Clone Kubernetes
* make WHAT?
* run tests

201 Intermediate New Contributor Workshop Track (Room 2):

* Brief Automation Demo (no practice): Labels, bots, org membership
* Local Test & Build using a container
* Release Cycle
* Testgrid Tour
* Docs contributions

Combined Wrap-Up and Networking (Big Room) - All Workshop Participants:

* Hallway Track: Network and find people with SIG buttons

Note: The full schedule and room details will be available on [Sched](https://contsummiteu19.sched.com/) soon.

### Transparency:

* Recording: Workshops will be video recorded and uploaded to YouTube.
* Transcription: Transcriptions will be uploaded with the video.
* Content Sharing: All presentations will be uploaded.

## Contributor Summit Team


| Role  | Lead |
| ------------- | ------------- |
| Summit Lead  | Jonas Rosland (@jonasrosland)  |
| Project Manager  | Ihor Dvoretskyi (@idvoretskyi)  |
| Marketing & Comms  | Paris Pittman (@parispittman)  |
| Accessibility, Inclusiveness, and Diversity  | Noah Kantrowitz (@coderanger)  |
| Venue  | Deb Giles (@debgiles)  |
| Social Event  | Paris Pittman (@parispittman)  |
| Content - General  | Dawn Foster (@geekygirldawn) |
| Content - Specific  | Guinevere Saenger (@guineveresaenger)  |
| Registration  | Bob Killen (@mrbobbytables)  |
| Swag   | Jorge Castro (@castrojo)
| Photography  | Ruben Orduz (@rdodev)  |


## Media Policy

A photographer and videographer will be onsite recording sessions, collecting b-roll and other shots for KubeCon. If you would rather not be involved, please reach out to an organizer on the day of so we may accommodate you.


## Code of Conduct

This event, like all Kubernetes events, has a [Code of Conduct](/code-of-conduct.md). We will have an onsite rep with contact information to be provided here and posted during the event.


## Misc
We want to remove as many barriers as possible for you to attend this event. Please contact community@kubernetes.io to see if we can accommodate a request.

Further details to be updated on this doc. Please check back for a complete guide.
