# San Diego Contributor Summit 2019 - Retrospective

[Project Team](https://github.com/kubernetes/community/tree/master/events/2019/11-contributor-summit)
Date: 2019-11-06
Authors: @jeefy and @parispittman

# Project Overview

Continue on our contributor summit event journey to San Diego to bring contributors together for face to face conversations, fun, learning, and planning. 

# Key Accomplishments [3-5 mins]

*   Goals were hit - 1- two sold out tracks for NCW; diversity improved 2- current workshop track (though wifi and recordings aren’t really there) was created
*   For first roll out of shadows ever, everyone did amazing and pulled through for a great event. I saw a lot of great collaboration and picking things up in times of ambiguity. [paris]
*   Attendance estimates:
    *   Current Contributor: 264
    *   New Contributor: 162
    *   Evening Event: ?
    *   Total: 

# Lessons Learned 

_What went well?  Why? [10-15 mins]_

*   Hit our goals
    *   Diversity improved
    *   Current workshop went off
    *   Shadow program put in place
*   The snack food was incredible. The energy bars and the beef jerky were A+++++ [jeefy]
*   That beef jerky was super good [jeremyrickard]
*   Sunday was amazing. Everything I could nit is so small that it’s not even worth mentioning. I loved that many folks played a part in the evening and that everyone could meet folks beforehand. [paris]
*   The hoodies were a super good idea, the rooms were really cold for a bit and the hoodies were a great idea [jeremyrickard]
    *   Hoodies had very positive feedback from all the attendees I spoke with [Bob]
    *   Sweatshirts were a good idea, hotel AC was strong (some of the time) [jberkus]
    *   Front zip hoodies were great for temperature control [Bob]
*   Pins/stickers were very well received
*   Hats were awesome and a good way to identify us. [jberkus]
*   Definitely needed Noah at the elevators to split between envoycon & CS [jberkus]
*   We spread out and covered all the bases, communicated well [tpepper]
*   Folks enjoyed the karaoke, and a lot of people participated in the bingo. [jberkus]
    *   Bingo game on Sunday night was a great ice breaker [idealhack]
*   Having the unconf sessions on sched was great [jberkus]
*   SIG-Beard packet/table was awesome idea, not sure whose it was. [jberkus]
*   Massive success with the M&G [Bob]
    *   It was definitely worth the extra time to get reps for each SIG / WG. In the end, I think we only had 2 WGs that didn’t show up? [dawnfoster]
    *   Felt like waaaaay higher attendance than previously happened (do we have stats?) [tpepper]
*   **Registration, Attendance and SWAG pickup:**
    *   Tiered registration cut down on people signing up for tracks they weren’t supposed to. [Bob]
*   NCW got positive feedback from an attendee I know [idealhack]
*   All staff was looking out for each other [markyjackson]
*   Having deb onsite is **key**  [paris]
*   Little “headquarters” room was very useful for coordinating [Bob]

**Current Contributor + New Contributor:**

*   Having people do hands on help was great [jeremyrickard]
*   Having github handles ahead of time was great
*   Breaks when folks talked around the tables was awesome
*   CLA issues were few

_What could be improved? [10-15 mins]_

[New Contributor Workshop Survey Results](https://docs.google.com/spreadsheets/d/1qfWcCsuXdrpl49bMiFS9ID3yXpC7lRJDvOd8eoxRvSg/edit#gid=1846336934)

[Active Contributor Survey Results](https://docs.google.com/spreadsheets/d/1bnuB3aLRwSB2FaDZCWfARQ5TBiApyKU8Elv6bprxfzI/edit#gid=4535733)

*   How to collect more event feedback?
    *   Survey response rate has been extreeeemely low (&lt;10%)
    *   Beg people to rate sessions in sched.com
    *   Paper survey and schwag pen on seats during final session of the day?
        *   I’ve seen zero marketing around it; post in the slack channel? Email them again a week after the event once things are settled? Post in kdev? This community requires multiple hits on multiple channels (paris)
    *   Pen & paper form could be useful given dodgy wifi.
*   Event lead should be invited to every content meeting [paris]
*   Event lead should work with cncf on food. I felt in the dark here [paris]
*   Event lead should have a running total of budget with CNCF rep with exact figures and costs [paris]
    *   This is available in the budget spreadsheet for each event.
    *   Deb to meet with event leads on a regular basis to review budget
*   Attention to deadlines.  Deb shares warnings to ensure deadlines are hit, but most of the time things don’t start until the actual deadline or after.  Open to suggestions on ways to ensure things are finalized by the deadline instead. (Deb)
    *   Put together more clear documentation about deadline dependencies to make it really clear which tasks depend on other tasks to make sure that deadlines are realistic and take deadlines from other teams into account.
    *   Consider an event calendar
*   We had too many staff (10% of attendance). Love y’all but realistically there were too many cooks in the kitchen and that caused several confusions. [jeefy]
    *   I did this on purpose to stack for next year (paris)
*   It wasn’t clear when the group photo was taken - a bunch of people, including me, missed it :( [dawnfoster]
*   **Content:**
    *   Docs were skipped over for contributor awards [jimangel] Jim’s a new incoming chair, so probably old chair hadn’t passed along the message or paid it attention.
    *   Attendance in the main hall during SIG-Arch and security sessions was VERY light, like 20-25 people. Did we need a different program there? [jberkus]
    *   Attendance of some sessions at Sustainability and Technical Discussion were very light like ~10 people [idealhack]
    *   Venue/AV Requests: Deb/CNCF staff to attend content meeting around AV deadlines to ensure all needs/requests are gathered/updated and confirmed prior to the ordering deadline. (Deb)
    *   M&G: We might want to set up M&G tables ahead of time and alphabetize or group the tables in some way. With a packed room, it was really hard for people walking in to find SIGs/WGs. [dawnfoster]
    *   Super sad that the recordings to major sessions like sustainability and the current contributor workshops aren’t there. [paris] all sessions should be recorded and rooms tested before we started. 
    *   Detailed doc with links to all templates, font info, links to diagrams, logos, icon sets, etc. [cshort]
*   **NCW/ICW:**
    *   A bunch of the NCW attendees didn't get the prep email for whatever reason. [jberkus]
    *   The Harbor box was useful but some people had locked down machines and were using cloud VMs and we didn’t have backup images to pull / reference [jeremyrickard]
    *   The NCW instructions could have been vetted a little more before hand. There were some conflicting things (Go 1.13 with K8s 1.16) and instructions to use a branch / tag that didn’t exist so people had some issues [jeremyrickard]
        *   I think we also had some pacing issues and got to a point where not everyone got a full picture. We basically only got as far as editing cmd/kubectl/kubectl.go and running make in the beginner section. Someone (from sysdig I think) asked “how do I get to the next step to actually make change? Where do I look for X in the repo”. 
    *   The NCW team seemed to be thrown together in a chaotic way. I'm not sure we can prevent flu but the NCW team needs shadows potentially [cshort]
*   **Celebration:**
    *   At the party, folks did not take advantage of the dogs [jberkus]
        *   It looked like people were enjoying them, just a steady stream and not a large amount of people at once. [Bob]
    *   A quiet space is needed (some people want to karaoke, some people want to convo)
*   **Summit Venue:**
    *   We asked for our own venue and didn’t get it (paris)
        *   Want to have space that ensures we won’t have others coming into it, and room for our own check-in swag distribution area.
    *   Hotel AV and WiFi was terrible and we should ask for our money back (Paris)
        *   The Wifi….[jeremyrickard]
    *   Lunch signage was not the greatest. People were walking more or less towards the Men’s bathroom. [jeefy]
    *   Lunch venue was pretty but only half the tables had shade and that’s a bit rough in 85F San Diego weather [jeefy]
    *   Were unable to close the door for the storage area [jberkus]
    *   AV mics bled through from Main room to Sustainability room, so audio was unusable in that room.  Hotel AV did not fix despite being notified of the problem several times. [jberkus]
    *   Hotel forgot to take wall down for M&G [jberkus]
    *   Room 18/sustainability was confusing to people because of hotel room numbering. [jberkus]
*   **Unconference:**
    *   Signup for unconference needed to move more. Next time need to walk the board around for more coverage [markyjackson]
    *   Need to make sure people know where voting can be done (i.e. slack and in person) [markyjackson]
    *   Make sure to send calendar invite to those selected for unconference [markyjackson]
*   **Registration, Attendance and SWAG pickup:**
    *   Getting active contributors to register is still a challenge [Bob]
    *   Direct contact between events staff and diversity scholarship winners to ensure capacity.
        *   May not need direct contact, but “open registration” must be coordinated and ensure diversity scholarship winners get first pass. [Bob]
    *   The different sheets for each reg flow made it difficult to reconcile and get a quick idea of who was pending etc [Bob]
        *   Move to single sheet for all reg types. [Bob]
    *   Add social modal to sheet to gauge attendance [Bob]
    *   A significant amount of manual reconciliation and tracking down people was required to match KCS -> KubeCon reg or find out if they regged at all. [Bob]
        *   Add a question to reg form asking for KubeCon registration email address to more easily connect registrations between events for badge printing onsite. (Deb)
        *   Add modal if planning to goto KubeCon at all to get a more accurate # for those that need badge [Bob]
    *   People still signed up for the active contributor track who shouldn’t have (33) [Bob]
        *   Draft a clear policy on who is applicable for active. 34 people signed up who are NOT org members and were approved.
    *   People were confused about being getting approved / schedule live without getting an invite to sched and requested being added individually. [Bob]
        *   Registration should close at the same time that we send out Sched invites so everyone is invited and doesn’t have to request access individually. (Deb)
    *   People were not informed early enough when reg closes [Bob]
        *   Be VERY explicit with reg close date and remind that there is NO on site sign-up. [Bob]
    *   We need a better way to track attendance of those that show up vs just sign up and never come. [Bob]
        *   Create reg/swag/info booth like we had in Seattle. To get ribbon, and swag people check in. This WILL cause some flow issues during very busy times, but solves several other issues -- namely people walking off with swag, not sure where to go etc. [Bob]
    *   Some folks from NCW/ICW didn't have their swag bags [james, sigje].  Apparently this was because folks grabbed bags without checking the names on them. [jberkus]
    *   Attendees started grabbing bags without looking at the label. Lots of stuff just walked off. [jeefy]
    *   No Show/Late Show rate for CCD was very high, like 40% based on looking at the swag bags. [jberkus]
        *   All sweatshirts were accounted for by end of KubeCon, but doesn’t give us good signal on actual attendance. [Bob]
    *   NCW - beginner and intermediate still have a high no show rate. [Bob]
        *   Charge a trivial amount ($1-5) for the event to prevent drive-by sign-up and forget. If they show up, or cancel ahead of time it is refunded. This tactic has been implemented by some meetups with a positive outcome. [Bob]
        *   We've also discussed having a "confirmation" activity 3 weeks before the Summit, if we don't want to charge. [jberkus]
    *   


# Future Considerations [20 mins]

_Suggestions for next time_

*   _Have your own venue; don’t share with other colos (paris)_
*   _Templating is cool but don’t lose the creativity (Paris)_

_NCW:_

*   Maybe set up a commodity access point for NCW and put the Harbor box on there [jeefy/bob/berkus]
    *   Can't do this for China or India of course
    *   Problem is attendee access to the harbor box, not box's access to internet
    *   Have Wifi from Harbor box, which will proxy everything to internet
    *   Potential issues with hardware/setup requirements both logistically (variety of hardware needs in multiple rooms) and budget/expense
    *   Goal: segregate workshop massive downloads from other traffic, giving each of those two types of network usage higher quality of service.
*   Maybe think of a better way to encourage NCW people to have more setup done prior to workshop [jeremyrickard]
    *   This could be tied to a "confirmation activity" to complete registration. [jberkus]
*   For the NCW (maybe just the beginner one?) it might be good to interactively walk through the steps and show it running on the screen. We just had the steps in the slides and I think some people had a hard time and we only had a few TAs. People might be able to follow along better if you change up the delivery a little and the presentor walks through the steps “and now we’re going to fork the repo” “and now let’s run make” “and now let’s open the pull request” and then pause to ask if anyone had issues [jeremyrickard]
*   Other instructions for installing, downloading, etc outside of harbor boxes for NCW [jeremy]

Swag:

*   Eliminate bags. We should hand out swag as part of a welcome workflow. [jeefy]
    *   This will require your own venue with a clear reg process for only contributors 
    *   Have a HUGE **SWAG & INFO** banner above a desk, so people know where to go. Staff it with 2 people? [jonas]

Roles:

*   Change the CNCF role to be a "CNCF Representative" and add a CNCF shadow role (aka Ihor) [Ihor]

Content:

*   Allow maybe a little more time between the end of the summit and the lightning talks so it’s easier to participate in both [jeremyrickard]
*   _Big one: Fewer tracks/rooms._  So many sessions were sparsely attended.  Attendees were often more interested in the hallway track; there were timeslots where there were up to 100 people in the coffee area. [jberkus]
    *   Cut the session tracks by 1 or 2, avoid having too few people at sessions [idealhack]
*   Remember to go over carefully which rooms are recorded/mic'd with Deb before contract is final [jberkus]
    *   Will plan on all sessions being recorded moving forward.  If budget is an issue, recording of unconference and technical discussions are secondary and Deb will flag immediately in this case.
*   Add 10 min on the schedule with location for the group photo [dawnfoster]

Facilitators:

*   Collect cell #s and slack handles for all room proctors so that the day-of manager can message any ones they can't find. [jberkus]
    *   We can add this to the staff registration path.  Would that help? (Deb)
        *   +1 for this - Bob
*   Have a written checklist/printed schedule for all room proctors. Things that we didn't do consistently: introductions, requests for note-takers, doing a headcount, identifying the proctor to the attendees. [jberkus]
    *   We did have a printed list. Assuming they didn’t follow it (Paris)
*   Handbells to announce session starts. [jberkus]
    *   These have been purchased and added to the KCS pelican case moving forward.
*   Restructuring of Room Facilitator roles [Noah A]
    *   Track ownership, less bouncing around
    *   Need to start the process earlier
    *   Have room proctors take headcounts [jberkus]
        *   An easy way to do this is to print the room schedule from Sched and have them handwrite headcounts and then lead adds them back into agenda doc post-event (or turn into CNCF events team info corner and Deb will add them into a doc for everyone to reference)
    *   Please try to have this group not be huge; more is not better
*   What about checking D0 registrations against each other, in order to determine how many people are double-registered and unlikely to show? [jberkus]
*   Have volunteer live transcription for hearing impaired folks.  This will also ensure notes. [jberkus]
*   Count tables for the M&G vs. SIGs? [jberkus]
    *   Also have map/navigation etc.(dawn)
*   Bring paper beards for aspirational SIG-Beard contributors. Also have SIG-rainbow and SIG-fashion. [jberkus]

Sunday



*   Maybe have fewer activities at the party; I think it may have been too many things at once. [jberkus] 
    *   Most folks disagreed
*   Even more promotion of the Contrib Summit and the fact that it starts on Sunday with the celebration and is all day on Monday. Several M&G reps (and other people I talked to) booked travel super early to come in on Monday and missed most or all of the CS [dawnfoster]
    *   I tried to do kdev weekly updates but folks said that was too much (paris)
    *   Key Dates. Key **_Times_**
*   Print detailed rules for the Bingo game because that’s more scalable [idealhack]
    *   Recommend moving to a drawing instead of first 5 people.  Encourages people to actually talk instead of just running around trying to get as many people as they can.  Will also add a name section to the BINGO card (Deb)
*   ACTION ITEMS:

Who is taking what? Insert here.

[your name] - action

Survey results = push sched more; leverage sched more period

Schedule group pic in sched

Indicate Closing session for the end to get more people 

Event calendar with dates 

Deb - to get food menus to event leads earlier and add them into Sched

Deb - to provide budget three times a year for each event. 

Deb - meet with event lead(s) monthly to discuss budgets
