---
title: Monthly Community Meeting
weight: 1
description: |
  The Kubernetes community meeting is intended to provide a holistic overview of
  community activities, critical release information, and governance updates. It
  also provides a forum for discussion of project-level concerns that might need
  a wider audience than a single special interest group (SIG).
---

# Kubernetes Monthly Community Meeting

We have PUBLIC and RECORDED [monthly meeting][community-meeting] the third
Thursday of the month at [10am PT]; with the exception of December, or in the
event it clashes with KubeCon + CloudNativeCon.
 
See it on the web at [calendar.google.com], or paste this [iCal url] into any
[iCal client]. Do NOT copy the meetings over to your personal calendar, you will
miss meeting updates. Instead use your client's calendaring feature to say you
are attending the meeting so that any changes made to meetings will be reflected
on your personal calendar. Note that we no longer are sending out meeting invites
to the mailing list due to limitations of public Google Groups.

All meetings are archived on the [YouTube Channel].

Quick links:

- [Agenda document][agenda]
- [Zoom meeting link][community-meeting]


## Purpose

The Kubernetes community meeting is intended to provide a contributor-wide forum
for discussion of various community activities, critical release information, 
Kubernetes Enhancement Proposals (KEPs), and governance updates. The focus of
discussion is on project-level concerns that might need a wider audience than a
single special interest group (SIG).


## Notetaker(s)

Notes from the meeting are published to [this forum thread] for wider distribution.
A good notetaker is important to help get the information out to people who
cannot attend. Volunteers are always welcome to either add their notes directly
to the document, or inform the host that they would like to help take notes at
the beginning of the call.


## Meeting Agenda

If you have a topic you'd like to present or would like to see discussed,
please propose that topic on the [Kubernetes Community Meeting Agenda][agenda].

General speaking the meeting is structured as follows:

- Introduction by Host (~3 minutes)
- Announcements
  - Any community announcements that are not discussion topics should go here
- Release Updates (~10 minutes, Optional, release manager's discretion)
  - Development Release
  - Stable Release and point releases
  - Older stable releases and point releases
- Topics for discussion
- KEP Callouts
- Shoutouts, an aggregation of thanks from community members to other
  contributors via the `#shoutouts` channel 

## Topics for Discussion

Contributors can suggest topics for discussion to the host via the agenda doc.
Any topic should include a person to start the conversation or provide further
context. Examples for such topics include the following ideas:

- Decisions where input is being sought from other SIGs
- Topics that could affect other SIGs
- Discussions around getting contributions for a particular project

## KEP Callouts

If a KEP has a significant impact to other SIGs or the project as a whole, or
if the people behind a KEP would like to have more discussion with the rest of
the contributors group about that KEP, add the KEP to the agenda so we can
discuss it.

## A Word on Demos

If a discussion or a KEP requires demoing a specific feature or functionality
for the group, please remember this meeting has a large number of attendees.
Out of respect for their time, we ask that you be fully prepared for your demo.
Make sure slides are clear if applicable, and the link to them is posted in the
meeting agenda. Also, if you are doing a live coding demo, please make sure it
has a reasonable chance of completing within the allotted time box.

- Demos must be about a core component of Kubernetes or a related project that
  is owned by a SIG. For projects in the Kubernetes ecosystem, you can sign up
  for a [CNCF Webinar].
- You are required to show up 10 minutes before the meeting to verify your audio
  and screensharing capabilities with the hosts. If you cannot make and keep this
  commitment, you will not be allowed to proceed with your demo until such time
  you can.
- The use of a headset or other high-quality audio equipment is strongly
  encouraged. Typing on a laptop while using the system microphone is distracting,
  so please insulate your microphone from key noises.
- Ensure you are presenting from a quiet environment.
- If you run out of time while performing your demo, you may ask the audience
  if they would like a follow-up at a subsequent meeting. If there is
  enthusiastic support, the community team will help schedule a continuation.


## Archives

The document gets slow as we add notes, so it is archived regularly into the
[Meeting Notes Archive].


[community-meeting]: https://zoom.us/j/91768411674?pwd=MVpqL0ZHbGFYMnpXVXpybTBvalFRQT09
[10am PT]: http://www.thetimezoneconverter.com/?t=10:00&tz=PT%20%28Pacific%20Time%29
[calendar.google.com]: https://calendar.google.com/calendar/embed?src=calendar%40kubernetes.io
[iCal url]: https://calendar.google.com/calendar/ical/calendar%40kubernetes.io/public/basic.ics
[iCal client]: https://en.wikipedia.org/wiki/ICalendar
[YouTube Channel]: https://www.youtube.com/playlist?list=PL69nYSiGNLP1pkHsbPjzAewvMgGUpkCnJ
[agenda]: http://bit.ly/k8scommunity
[this forum thread]: https://discuss.kubernetes.io/t/kubernetes-weekly-community-meeting-notes/35/53
[devstats graphs]: https://k8s.devstats.cncf.io/
[CNCF Webinar]: https://www.cncf.io/webinars/
[schedule]: https://docs.google.com/spreadsheets/d/1adztrJ05mQ_cjatYSnvyiy85KjuI6-GuXsRsP-T2R3k
[pregenerated slide template]: https://docs.google.com/presentation/d/1-nTvKCiqu9UvFYUeM6p6RIqHS5-H-u3_x-V4xj_eIWo/edit#slide=id.g401c104a3c_0_0
[Meeting Notes Archive]: https://git.kubernetes.io/community/communication/meeting-notes-archive
