# Nikhita Raghunath

- GitHub: [nikhita](https://github.com/nikhita)
- Twitter: [TheNikhita](https://twitter.com/TheNikhita)
- Employment: Independent

## Why Me

I have already been helping the Steering Committee with tasks like
[License Auditing and Remediation](https://github.com/kubernetes/sig-release/issues/223)
and Ensuring that all Kubernetes repositories have
[proper contributing guides](https://github.com/kubernetes/steering/issues/28#issuecomment-416821430).

Being a Steering Committee member sometimes involves doing the "unexciting and
boring" parts of maintaining a project. I have never shied away from such
tasks and have been regularly contributing with lots of "unglamorous" work.

If given a chance, I would love to do more chopping wood and carrying water
for the project! :)

## What I do

- I started contributing as a
[Google Summer of Code intern](https://github.com/nikhita/gsoc-meta-k8s).
I had a wonderful experience and wanted to give back - now, I help run the
[Google Summer of Code](https://github.com/cncf/soc) and [Outreachy](https://github.com/kubernetes/community/blob/0ec68604d00fe99b4be6519800a806df15d55674/sig-cli/outreachy.md)
internship programs for Kubernetes!

- I mainly work with SIG API Machinery and focus on the extensibility of the
Kubernetes API through CRDs. I have written [design](https://github.com/kubernetes/community/pull/708/)
[proposals](https://github.com/kubernetes/community/pull/913)
and authored several features regarding them.
Apart from this, I work on the release process for client-go.

- I also work with SIG CLI, SIG Contributor Experience and
sometimes with SIG Release.

- I can be seen [tinkering with prow plugins](https://github.com/kubernetes/test-infra/pulls?utf8=%E2%9C%93&q=is%3Apr+author%3Anikhita)
and triaging issues to help improve the contributor experience.

- I also love adding emojis in Slack and GitHub reviews so that it remains a
friendly environment for everyone! :rainbow:


## What I will do

- Nurture an inclusive, diverse, and open community
- Create developer guides to facilitate knowledge transfer from core contributors
- Improve reviewer and approver scalability
- Make the contributing process easier for new-comers
- Create codified processes for license auditing
- Find homes for unowned areas in the project
- Drive [SIG charters](https://github.com/kubernetes/steering/issues/31) to completion
