# Jordan Liggitt

- GitHub: https://github.com/liggitt
- Affiliation: Google
- Slack: @liggitt
- Twitter: @liggitt

## SIGS

- sig-api-machinery member
- sig-architecture API review subproject owner
- sig-auth TL
- sig-cli member
- wg-lts member
- wg-naming member

## What I have done

I've contributed to Kubernetes continuously since 2014.
During that time, I've interacted with almost every area of the project,
so I have a broad perspective on community activities, challenges, and dynamics.

Early on, I focused on API and security efforts,
helped establish API patterns, contributed authentication/authorization components,
and served on the Product Security Committee.

Recently, I've focused on helping Kubernetes mature and stabilize:
* advocated for extending support to 1 year
* defined Kubernetes upgrade/skew policies
* worked with multiple SIGs to help complete/graduate in-progress features
* added mechanisms to help users know about deprecations and potential problems
* helped drive graduation of CRD and admission webhook APIs
* worked with SIG-testing improving CI health

As I work with others, I try to keep high-level goals connected to concrete steps
to make sure we plan things that can actually make progress and be completed.

## What I'll do

I love seeing people work well together to solve problems.
I care deeply about what we've built together over the last six years,
and want to see it continue to succeed.

I will:

* continue to take seriously the project's commitments to contributors and users
* support distributed approaches to project ownership, reinforcing patterns that work well
* encourage constructive resolution of differences in ways that make our community stronger
* thoughtfully consider questions presented to steering, not only for immediate impact but also for long-term implications

## Resources About Me

- Interviews/Panels:
  - [Kubernetes Podcast](https://overcast.fm/+MqPlBo-k0/10:33) (2018)
  - [Meet the Contributors](https://www.youtube.com/watch?v=yfazOaU6dSo) (2020)
- Kubecon talks:
  - [Effective RBAC](https://www.youtube.com/watch?v=Nw1ymxcLIDI) (2018)
  - [SIG-Auth intro](https://www.youtube.com/watch?v=kHglGZSoCtM) (2018)
  - [SIG-Auth deep dive](https://www.youtube.com/watch?v=ok1MYAEnU1Y) (2018)
  - [SIG-Architecture intro](https://www.youtube.com/watch?v=OF5816TYoyA#t=310) (2019)
- Tutorials:
  - [Go modules](https://www.youtube.com/watch?v=OrMA16ASz2U) (2019)
  - [Contributor summit API review](https://www.youtube.com/watch?v=faRARV3C7Fk) (2019)
  - [Deflaking/debugging tests](https://youtu.be/Ewp8LNY_qTg) (2020)
