-------------------------------------------------------------
name: Christoph Blecker
ID: cblecker
info:
  - employer: Red Hat
  - slack: cblecker
-------------------------------------------------------------

## SIGS

- Kubernetes Steering Committee
- Tech Lead, Contributor Experience
- sig-testing (prow maintainer)
- sig-k8s-infra

## What I have done

I got involved in the Kubernetes project in 2016, became a member/reviewer/approver in 2017, and a [maintainer](https://github.com/orgs/kubernetes/teams/kubernetes-maintainers/discussions/2) in 2018.

I'm a Technical Lead for [SIG Contributor Experience](https://git.k8s.io/community/sig-contributor-experience), and have always been a passionate advocate for both new and experienced contributors.

In 2018, I was a recipient of the Chop Wood / Carry Water award.

In 2019, I was elected to the Kubernetes Steering Committee and have had the privilege to serve as a member for the last two years. During those years, I've helped to lead the community through difficult issues that have faced both our project and the world at large.

In those two years I have helped to:
- Respond to challenging topics facing our community, such as the BLM movement, and a global pandemic's impact on our contributor base
- Implement an annual report process to allow for more clarity and transparency in the working of our various community groups
- Create liaison roles within the Steering Committee to give community groups more personal/direct access to their project leadership
- Implemented unconscious bias training to help educate leaders in the community on inclusive practices
- Many other small, incremental changes to help improve the governance functioning of the community


## What I'll do

I believe the next couple of years are a pivotal point for the project. Many parts of the project are dealing with challenges related to sustainability and burnout. I want to help provide that stable, experienced leadership to get our project the support it needs to continue to thrive.

If re-elected to a second and final term on the Steering Committee, I would love the opportunity to work on the following:
- advocate with the CNCF and companies to provide support the project needs
- continue to refine our annual reports process to make it easier for community groups to complete, and increase the value of the data we get from it
- address contributor burnout in a meaningful way from a project leadership level


## Resources About Me

- [Twitter](https://twitter.com/cblecker)
- [KubeCon Talks](https://github.com/cblecker/cblecker/blob/master/speaking.md)
