-------------------------------------------------------------
name: Nabarun Pal
ID: palnabarun
info:
  - employer: VMware
  - slack: palnabarun
-------------------------------------------------------------

## SIGS

- API Machinery: Clients Subproject
- Architecture: Code Organization, Enhancements
- CLI: Working on moving kubectl out of tree
- Contributor Experience: Events, New Membership Coordinator, k-dev moderator
- Release: 1.21 Release Lead, 1.17-1.21, 1.23 Release Teams, Release Team Subproject Owner, Release Manager Associate
- Kubernetes Code of Conduct Committee

## What I have done

I started into the Kubernetes landscape while building an internal platform and started contributing to the project as a hobby in 2019 to give to a project that we were using internally. The same year I helped the Contributor Experience Events team with the KubeCon NA San Diego Contributor Summit. Kubernetes 1.17 was when I joined the Enhancements group of the Release Team. It has been a fun journey since then. I graduated to be the Release Lead for Kubernetes 1.21 having been the Enhancements Team Lead for Kubernetes 1.19. I currently contribute to the Kubernetes releases as a Release Manager Associate.

Along the way, I have been contributing to the Kubernetes Python client helping with bug triage, maintenance of the repository and releasing client versions, joined the Kubernetes Code of Conduct Committee and co-led multiple Kubernetes New Contributor Workshops in the APAC region helping several 100s of contributors in bootstrapping their journey into the ecosystem.

I have been helping people from all walks of life to get into technology through weekly 1:1 mentoring sessions. In addition to the Kubernetes community, I have been the Technology Working Group Lead for PyCon India 2020 and 2021.

## What I'll do

Over the course of the past 2.5 years that I have been contributing to Kubernetes growing through the ranks, I have seen first hand the challenges being faces by sections of the contributor community. I would like to work towards solving those issues.

- Helping SIGs come up with well defined plans to support new contributors
- Further emphasize the importance of asynchronous communication over public channels to reduce friction and bias
- Establish a path for contributors to gain experience in technical areas and grow in the contributor ladder
- Continue and impart thoughts from my own experience to the community efforts to help part time contributors working on their own time to sustainably contribute to the project
- Reducing the geographical and linguistic disadvantage of contributors from APAC/EMEA timezones
- Uphold the [values of the community](https://github.com/kubernetes/community/blob/master/values.md)

## Resources About Me

- Talks: [https://nabarun.dev/speaking/](https://nabarun.dev/speaking/)
- Twitter: [https://twitter.com/theonlynabarun](https://twitter.com/theonlynabarun)
- Blog: [https://nabarun.dev/posts/](https://nabarun.dev/posts/)
- Weekly 1:1 Mentoring: [https://calendly.com/palnabarun/1-on-1](https://calendly.com/palnabarun/1-on-1)
