<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->

# Liaisons

Steering Committee members are elected representatives of the Kubernetes
project contributor base. It’s important that we make sure ensure a good
flow of governance information and feedback loops to and from the 
groups. With over 35 community groups and 100+ leads, it can be hard to 
connect for communitywide consensus and to help with this, each group 
is assigned a Steering Committee liaison. 

Leads may call on liaisons to act as a point of contact from Steering, 
be an advisor for governance or community health matters, and kick
things off and consult throughout the process for [annual reports](committee-steering/governance/annual-reports.md).

Liaisons do not make decisions for the community group or on behalf of
the Steering Committee.

Liaisons are assigned community groups at random (adjustments can be
made, if needed) with each member having an (almost) equal distribution
of SIGs, WGs and UGs. Each year after Steering Committee elections, new 
members will assume one of the departing members groups. 

| Community Group            | Steering Committee Liaison |
| -------------------------- | -------------------------- |
| [SIG API Machinery](sig-api-machinery/README.md) | Davanum Srinivas (**[@dims](https://github.com/dims)**) |
| [SIG Apps](sig-apps/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [SIG Architecture](sig-architecture/README.md) | Jordan Liggitt (**[@liggitt](https://github.com/liggitt)**) |
| [SIG Auth](sig-auth/README.md) | Christoph Blecker (**[@cblecker](https://github.com/cblecker)**) |
| [SIG Autoscaling](sig-autoscaling/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [SIG CLI](sig-cli/README.md) | Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**) |
| [SIG Cloud Provider](sig-cloud-provider/README.md) | Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**) |
| [SIG Cluster Lifecycle](sig-cluster-lifecycle/README.md) | Davanum Srinivas (**[@dims](https://github.com/dims)**) |
| [SIG Contributor Experience](sig-contributor-experience/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [SIG Docs](sig-docs/README.md) | Paris Pittman (**[@parispittman](https://github.com/parispittman)**) |
| [SIG Instrumentation](sig-instrumentation/README.md) | Christoph Blecker (**[@cblecker](https://github.com/cblecker)**) |
| [SIG K8s Infra](sig-k8s-infra/README.md) | Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**) |
| [SIG Multicluster](sig-multicluster/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [SIG Network](sig-network/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [SIG Node](sig-node/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [SIG Release](sig-release/README.md) | Davanum Srinivas (**[@dims](https://github.com/dims)**) |
| [SIG Scalability](sig-scalability/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [SIG Scheduling](sig-scheduling/README.md) | Jordan Liggitt (**[@liggitt](https://github.com/liggitt)**) |
| [SIG Security](sig-security/README.md) | Paris Pittman (**[@parispittman](https://github.com/parispittman)**) |
| [SIG Service Catalog](sig-service-catalog/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [SIG Storage](sig-storage/README.md) | Paris Pittman (**[@parispittman](https://github.com/parispittman)**) |
| [SIG Testing](sig-testing/README.md) | Paris Pittman (**[@parispittman](https://github.com/parispittman)**) |
| [SIG UI](sig-ui/README.md) | Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**) |
| [SIG Usability](sig-usability/README.md) | Davanum Srinivas (**[@dims](https://github.com/dims)**) |
| [SIG Windows](sig-windows/README.md) | Jordan Liggitt (**[@liggitt](https://github.com/liggitt)**) |
| [WG API Expression](wg-api-expression/README.md) | Jordan Liggitt (**[@liggitt](https://github.com/liggitt)**) |
| [WG Batch](wg-batch/README.md) | Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**) |
| [WG Data Protection](wg-data-protection/README.md) | Christoph Blecker (**[@cblecker](https://github.com/cblecker)**) |
| [WG IoT Edge](wg-iot-edge/README.md) | Christoph Blecker (**[@cblecker](https://github.com/cblecker)**) |
| [WG Multitenancy](wg-multitenancy/README.md) | Jordan Liggitt (**[@liggitt](https://github.com/liggitt)**) |
| [WG Policy](wg-policy/README.md) | Christoph Blecker (**[@cblecker](https://github.com/cblecker)**) |
| [WG Structured Logging](wg-structured-logging/README.md) | Davanum Srinivas (**[@dims](https://github.com/dims)**) |
| [UG Big Data](ug-big-data/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [UG VMware Users](ug-vmware-users/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [Committee Code of Conduct](committee-code-of-conduct/README.md) | Tim Pepper (**[@tpepper](https://github.com/tpepper)**) |
| [Committee Security Response](committee-security-response/README.md) | Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**) |
<!-- BEGIN CUSTOM CONTENT -->
## Expectations
### Liaison will: 
- Alert leads the Annual Report process is starting, expectations, and timeline
- Check-ins with their groups at least once a quarter. This could mean a group DM
with Chairs, a visit to a group meeting, or some other connection. Get a pulse 
on health of the following:
  - Contributor base
    - Chairs and other leads: How are they?
    - Contributors, reviewers, approvers: How are they?
    - Newcomers: able to efficiently join and contribute?
  - Operational Health
    - Transparency of meetings and decision processes (eg: published meeting 
  agendas, minutes, and video recordings)
    - Communication best practices for shared status and decision making across 
  a WG and its sponsor SIG(s) and a SIG and its subprojects
    - Provide consultation on how to improve operational health
  - Gap Analysis
    - Where is the group now and where do they want/need to be?
- Act as conduit for incoming cross-cutting deliverables requirements, such as 
ones relative to test, infra, org, docs, etc.
- Check that sustainability is a priority. 
  - What is the group doing to ensure contributions are sustainable? 
  - What does the group need in order to keep things going? 
  - Are there areas of concern?
- Update Steering Committee keep the Steering Committee in the loop and keep 
track of trackable (ie: not sensitive) work in public issues.
- Advise on funding matters - how to request and other inquiries 
- Connect leads to whatever they need, when they ask. (if possible!)

### Liaisons should:
- Communicate with their groups on important business that happens at Steering 
level (via our meetings, etc) in order for Steering to achieve a pulse on the 
work we are doing and acknowledge governance changes. 
  - Example: if Steering is crafting a new policy, check in with the chairs to 
see how it would fare with their groups.

<!-- END CUSTOM CONTENT -->
