<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Testing Special Interest Group

Interested in how we can most effectively test Kubernetes. We're interested specifically in making it easier for the community to run tests and contribute test results, to ensure Kubernetes is stable across a variety of cluster configurations and cloud providers.

The [charter](charter.md) defines the scope and governance of the Testing Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-testing) for the group will typically add invites for the following meetings to your calendar.*
* SIG Testing Bi-Weekly Meeting: [Tuesdays at 10:00 PT (Pacific Time)](https://zoom.us/j/135450138?pwd=WGJyaVZzekJCWFBTMGJGTXVjUFJaUT09) (bi-weekly starting Tuesday August 13, 2019). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://bit.ly/k8s-sig-testing-notes).
  * [Meeting recordings](https://bit.ly/k8s-sig-testing-videos).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Benjamin Elder (**[@BenTheElder](https://github.com/BenTheElder)**), Google
* Aaron Crickenberger (**[@spiffxp](https://github.com/spiffxp)**), Google
* Steve Kuznetsov (**[@stevekuznetsov](https://github.com/stevekuznetsov)**), Red Hat

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Benjamin Elder (**[@BenTheElder](https://github.com/BenTheElder)**), Google
* Alvaro Aleman (**[@alvaroaleman](https://github.com/alvaroaleman)**), Red Hat
* Cole Wagner (**[@cjwagner](https://github.com/cjwagner)**), Google

## Emeritus Leads

* Erick Fejta (**[@fejta](https://github.com/fejta)**)
* Timothy St. Clair (**[@timothysc](https://github.com/timothysc)**)

## Contact
- Slack: [#sig-testing](https://kubernetes.slack.com/messages/sig-testing)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-testing)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Ftesting)
- GitHub Teams:
    - [@kubernetes/sig-testing](https://github.com/orgs/kubernetes/teams/sig-testing) - General Discussion
    - [@kubernetes/sig-testing-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-testing-pr-reviews) - PR Reviews
- Steering Committee Liaison: Paris Pittman (**[@parispittman](https://github.com/parispittman)**)

## Working Groups

The following [working groups][working-group-definition] are sponsored by sig-testing:
* [WG Reliability](/wg-reliability)


## Subprojects

The following [subprojects][subproject-definition] are owned by sig-testing:
### boskos
Boskos is a resource manager service that handles different kinds of resources and transitions between different states. We use it on the Kubernetes project to manage pools of GCP projects for CI/CD.
- **Owners:**
  - [kubernetes-sigs/boskos](https://github.com/kubernetes-sigs/boskos/blob/master/OWNERS)
  - [kubernetes/test-infra/boskos](https://github.com/kubernetes/test-infra/blob/master/boskos/OWNERS)
### e2e-framework
An experimental e2e testing framework for Kubernetes clusters.
- **Owners:**
  - [kubernetes-sigs/e2e-framework](https://github.com/kubernetes-sigs/e2e-framework/blob/master/OWNERS)
### k8s-gsm-tools
Controllers to sync and rotate kubernetes secrets with google cloud secret manager
- **Owners:**
  - [kubernetes-sigs/k8s-gsm-tools](https://github.com/kubernetes-sigs/k8s-gsm-tools/blob/master/OWNERS)
### kind
Kubernetes IN Docker. Run Kubernetes test clusters on your local machine using Docker containers as nodes.
- **Owners:**
  - [kubernetes-sigs/kind](https://github.com/kubernetes-sigs/kind/blob/master/OWNERS)
- **Contact:**
  - Slack: [#kind](https://kubernetes.slack.com/messages/kind)
### kubetest2
Kubetest2 is the framework for launching and running end-to-end tests on kubernetes.
It is the next significant iteration of kubetest. We will be deprecating kubetest going forward.
- **Owners:**
  - [kubernetes-sigs/kubetest2](https://github.com/kubernetes-sigs/kubetest2/blob/master/OWNERS)
  - [kubernetes/test-infra/kubetest](https://github.com/kubernetes/test-infra/blob/master/kubetest/OWNERS)
### prow
Prow is a CI/CD system based on Kubernetes. See prow.k8s.io to see it in action for the Kubernetes project
- **Owners:**
  - [kubernetes-sigs/prow](https://github.com/kubernetes-sigs/prow/blob/main/OWNERS)
  - [kubernetes/test-infra/prow](https://github.com/kubernetes/test-infra/blob/master/prow/OWNERS)
- **Contact:**
  - Slack: [#prow](https://kubernetes.slack.com/messages/prow)
### sig-testing
Home for SIG Testing discussion and documents.
- **Owners:**
  - [kubernetes/sig-testing](https://github.com/kubernetes/sig-testing/blob/master/OWNERS)
### test-infra
Miscellaneous tools and configuration to run the testing infrastructure for the Kubernetes project
- **Owners:**
  - [kubernetes/test-infra](https://github.com/kubernetes/test-infra/blob/master/OWNERS)
### testing-commons
**[best-effort]** The testing-commons subproject focuses on matters of code structure, layout, and execution of kubernetes/kubernetes test code. It is currently staffed on a best-effort basis; please bring discussions to the sig-testing slack channel or meeting. For historical context, please see the [former testing-commons meeting agenda](https://docs.google.com/document/d/1TOC8vnmlkWw6HRNHoe5xSv5-qv7LelX6XK3UVCHuwb0/edit) and [archived testing-commons slack channel](https://kubernetes.slack.com/archives/C9NK9KFFW)
- **Owners:**
  - [kubernetes/kubernetes/test](https://github.com/kubernetes/kubernetes/blob/master/test/OWNERS)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

## Presentations

| Title | Slides | Video | Speakers |
| ----- | ------ | ----- | -------- |
| KubeCon NA 2018 - SIG Testing Intro | [Slides](https://docs.google.com/presentation/d/1HOQ2df_AT-vIuz-JNaJol2oiGq84m50h9T49_5WgEaI/edit?usp=sharing) | [Video](https://www.youtube.com/watch?v=7-_O41W3FRU) | @spiffxp, @stevekuznetsov |
| KubeCon NA 2018 - SIG Testing Deep Dive | [Slides](https://static.sched.com/hosted_files/kccna18/9b/Kubecon%20Seattle%20SIG-Testing%20Deep%20Dive%20%281%29.pdf) | [Video](https://www.youtube.com/watch?v=1rwiKDTJILY) | @cjwagner, @Katharine |
| KubeCon NA 2018 - Behind Your PR: How Kubernetes Uses Kubernetes to Run Kubernetes CI | [Slides](https://static.sched.com/hosted_files/kccna18/3e/KubeCon%20Seattle%20Talk.pdf) | [Video](https://www.youtube.com/watch?v=pz0lpl6h-Gc) | @BenTheElder, @krzyzacy |
| KubeCon EU 2019 - SIG Testing Intro | [Slides](https://static.sched.com/hosted_files/kccnceu19/c8/SIG-Testing%20Intro%20Kubecon%20EU%202019.pdf) | [Video](https://www.youtube.com/watch?v=_uO5gHVTzF8) | @cjwagner, @AishSundar |
| KubeCon EU 2019 - SIG Testing Deep Dive | TBD | [Video](https://www.youtube.com/watch?v=6m9frvTxK0o) | @BenTheElder, @munnerz |
| KubeCon EU 2019 - Testing Your K8s Apps with Kind | TBD | [Video](https://www.youtube.com/watch?v=8KtmevMFfxA) | @BenTheElder, @munnerz | 


<!-- END CUSTOM CONTENT -->
